#!/usr/bin/env sh
set -e
#set -x

echo Building docs into: "${DOCS_DIR}"
echo Reading Source files from "${APP_DIR}"
echo Using file filter: "${FILE_FILTER}"
echo

cd /src/ || exit
echo "${APP_DIR}" : "${DOCS_DIR}" : "${FILE_FILTER}"
rm -rf "${DOCS_DIR}" && mkdir -p "${DOCS_DIR}"

# shellcheck disable=SC2068
apidoc -i "${APP_DIR}" -o "${DOCS_DIR}" -f "${FILE_FILTER}" $@
